function [fr32data] = float_to_fr32(fltdata)
%[fr32data] = float_to_fr32(fltdata)
%	Convert floating-point data to fixed-point data.
%
%Notation:
%fr16 corresponds to 16-bit fixed-point data
%fr32 corresponds to 32-bit fixed-point data

fr32data = flt2fp(fltdata, -32, 31);
fr32data = fr32data(:,1);

% something in the Matlab 'flt2fp' function may be wrong
hack = find(fr32data==4294967296);
fr32data(hack) = 0;